Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## emn.fr.ascola.view
Class PrefuseViewer.DefaultForceDirectedLayout

    java.lang.Object
      prefuse.activity.Activity
          prefuse.action.Action
              prefuse.action.GroupAction
                  prefuse.action.layout.Layout
                      prefuse.action.layout.graph.ForceDirectedLayout
                          emn.fr.ascola.view.PrefuseViewer.DefaultForceDirectedLayout

Enclosing class:
  PrefuseViewer

    public class PrefuseViewer.DefaultForceDirectedLayout

extends prefuse.action.layout.graph.ForceDirectedLayout

Field Summary

Fields inherited from class prefuse.action.layout.graph.ForceDirectedLayout
`FORCEITEM, FORCEITEM_SCHEMA`

Fields inherited from class prefuse.activity.Activity
`DEFAULT_STEP_TIME, INFINITY`

Constructor Summary
`PrefuseViewer.DefaultForceDirectedLayout(java.lang.String group, boolean enforceBounds, int nb)`

Method Summary

Methods inherited from class prefuse.action.layout.graph.ForceDirectedLayout
`getForceSimulator, getIterations, getMaxTimeStep, getReferrer, reset, run, setDataGroups, setForceSimulator, setIterations, setMaxTimeStep, setReferrer`

Methods inherited from class prefuse.action.layout.Layout
`getLayoutAnchor, getLayoutBounds, setLayoutAnchor, setLayoutBounds, setMargin, setX, setY`

Methods inherited from class prefuse.action.GroupAction
`getGroup, setGroup`

Methods inherited from class prefuse.action.Action
`getVisualization, setVisualization`

Methods inherited from class prefuse.activity.Activity
`addActivityListener, alwaysRunAfter, cancel, getDuration, getNextTime, getPace, getPacingFunction, getStartTime, getStepTime, getStopTime, isEnabled, isRunning, isScheduled, removeActivityListener, run, runAfter, runAt, setDuration, setEnabled, setPacingFunction, setStartTime, setStepTime`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrefuseViewer.DefaultForceDirectedLayout

    public PrefuseViewer.DefaultForceDirectedLayout(java.lang.String group,
                                                    boolean enforceBounds,
                                                    int nb)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD